Bug 14812 - [patch] gettextize the word FILE in 'iconv --help'
Summary: [patch] gettextize the word FILE in 'iconv --help'
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: libc (show other bugs)
Version: unspecified
: P2 minor
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-06 19:09 UTC by Benno Schulenberg
Modified: 2014-06-14 11:13 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
gettextize the words NAME and FILE in iconv (917 bytes, patch)
2012-11-06 19:09 UTC, Benno Schulenberg
Details | Diff
gettextize some option arguments in iconv and inconvconfig (1.13 KB, patch)
2012-12-04 14:40 UTC, Benno Schulenberg
Details | Diff
gettextize the option arguments in iconv and inconvconfig (1.10 KB, patch)
2013-03-15 19:46 UTC, Benno Schulenberg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benno Schulenberg 2012-11-06 19:09:55 UTC
Created attachment 6722 [details]
gettextize the words NAME and FILE in iconv

In the output of 'iconv --help' and 'iconv --usage', the word FILE does not get localized.  This is caused by the word not having been gettextized in the source file.  (The word NAME does get localized, because it is gettextized elsewhere in the libc sources.)  Attached patch fixes this.

The patch also improves the description of the -o option -- most descriptions start with a verb, therefore one is tempted to read in "output file" the word "output" as a verb.  The patch also fixes some spelling and interpunction errors in some comments that I noticed along the way.  The patch is against HEAD.
Comment 1 Benno Schulenberg 2012-12-04 14:40:37 UTC
Created attachment 6772 [details]
gettextize some option arguments in iconv and inconvconfig

It extends the previous patch by also gettextizing two overlooked option arguments in iconv/iconvconfig.c.
Comment 2 Benno Schulenberg 2013-03-15 19:46:34 UTC
Created attachment 6936 [details]
gettextize the option arguments in iconv and inconvconfig

This patch improves upon the previous ones by adding a ChangeLog entry
and dropping the unessential comment fixes.
Comment 3 Roland McGrath 2013-03-20 20:12:07 UTC
Fixed on the trunk.